Opened 4 years ago

Closed 4 years ago

#1122 closed defect (invalid)

nginx appears to ignore add_header when 404 handling (possibly rewrite-based) happens?

Reported by: mike503@… Owned by:
Priority: minor Milestone:
Component: other Version: 1.9.x
Keywords: Cc:
uname -a: Linux mydomain 3.13.0-79-generic #123-Ubuntu SMP Fri Feb 19 14:27:58 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
nginx -V: # nginx -V
nginx version: nginx/1.11.5
built with OpenSSL 1.0.1f 6 Jan 2014
TLS SNI support enabled
configure arguments: --with-cc-opt='-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2' --with-ld-opt='-Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,-z,now' --prefix=/usr/share/nginx --conf-path=/etc/nginx/nginx.conf --http-log-path=/var/log/nginx/access.log --error-log-path=/var/log/nginx/error.log --lock-path=/var/lock/nginx.lock --pid-path=/run/nginx.pid --modules-path=/usr/lib/nginx/modules --http-client-body-temp-path=/var/lib/nginx/body --http-fastcgi-temp-path=/var/lib/nginx/fastcgi --http-proxy-temp-path=/var/lib/nginx/proxy --http-scgi-temp-path=/var/lib/nginx/scgi --http-uwsgi-temp-path=/var/lib/nginx/uwsgi --with-debug --with-pcre-jit --with-ipv6 --with-http_ssl_module --with-http_stub_status_module --with-http_realip_module --with-http_auth_request_module --with-http_v2_module --with-http_dav_module --with-http_slice_module --with-threads --with-http_addition_module --with-http_geoip_module=dynamic --with-http_gunzip_module --with-http_gzip_static_module --with-http_image_filter_module=dynamic --with-http_sub_module --with-http_xslt_module=dynamic --with-stream=dynamic --with-stream_ssl_module --with-mail=dynamic --with-mail_ssl_module --add-dynamic-module=/build/nginx-CWg6sX/nginx-1.11.5/debian/modules/nginx-auth-pam --add-module=/build/nginx-CWg6sX/nginx-1.11.5/debian/modules/nginx-dav-ext-module --add-dynamic-module=/build/nginx-CWg6sX/nginx-1.11.5/debian/modules/nginx-echo --add-dynamic-module=/build/nginx-CWg6sX/nginx-1.11.5/debian/modules/nginx-upstream-fair --add-dynamic-module=/build/nginx-CWg6sX/nginx-1.11.5/debian/modules/ngx_http_substitutions_filter_module

Using the official nginx repo:

# apt-cache policy nginx-full
nginx-full:
Installed: 1.11.5-0+trusty3
Candidate: 1.11.5-0+trusty3
Version table:
*** 1.11.5-0+trusty3 0
500 http://ppa.launchpad.net/nginx/development/ubuntu/ trusty/main amd64 Packages

Description

No matter where I put in an add_header in my config, it seems like
try_files $uri $uri/ /index.php?q=$uri$is_args$args;

or the equivalent if / rewrite combination

or error_page 404 = /index.php$is_args$args;

All of them wind up sending the request to PHP which returns a 404 (with extra PHP headers from Drupal) but ignores all headers I've defined in any level of the nginx configuration. This includes http {} server {} and location {} blocks, in every single stanza possible. It's like the PHP headers or maybe due to the 4xx error nature reset the nginx header array?

This has plagued me for a long time, and caused me to dump header lines in various spots (why can't an add_header at the http {} level be guaranteed to be globally inherited? I understand if there was a conflict there could be an issue based on how nginx handles array stuff internally, but ideally it would just override silently, but I'd even accept an error...) - but it currently seems like no matter what I cannot get nginx to spit the header out I want.

Even when the add_header is in the matching location block (\.php$) it doesn't matter. (I've tried in every other level as well as putting them in every single file / stanza / level, various testing add_header statements, all of them are ignored)

location ~ \.php$ {
  include fastcgi_params;
  add_header Strict-Transport-Security "max-age=15768000; includeSubDomains";
  fastcgi_param HTTPS on;
  fastcgi_pass 127.0.0.1:11000;
}

It should be easy enough to test. I'll attach a debug dump from a request for it to be viewed. I've tried to obfuscate any private information.

2016/10/29 00:37:32 [debug] 17183#17183: *307 accept: 127.0.0.1:52087 fd:9
2016/10/29 00:37:32 [debug] 17183#17183: *307 event timer add: 9: 60000:1477701512422
2016/10/29 00:37:32 [debug] 17183#17183: *307 reusable connection: 1
2016/10/29 00:37:32 [debug] 17183#17183: *307 epoll add event: fd:9 op:1 ev:80002001
2016/10/29 00:37:32 [debug] 17183#17183: *307 http check ssl handshake
2016/10/29 00:37:32 [debug] 17183#17183: *307 http recv(): 1
2016/10/29 00:37:32 [debug] 17183#17183: *307 https ssl handshake: 0x16
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL server name: "localhost"
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_do_handshake: -1
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_get_error: 2
2016/10/29 00:37:32 [debug] 17183#17183: *307 reusable connection: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL handshake handler: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 ssl new session: B5E8F911:32:149
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_do_handshake: 1
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL: TLSv1.2, cipher: "ECDHE-RSA-AES128-GCM-SHA256 TLSv1.2 Kx=ECDH Au=RSA Enc=AESGCM(128) Mac=AEAD"
2016/10/29 00:37:32 [debug] 17183#17183: *307 reusable connection: 1
2016/10/29 00:37:32 [debug] 17183#17183: *307 http wait request handler
2016/10/29 00:37:32 [debug] 17183#17183: *307 malloc: 00000000021DDDF0:8192
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_read: -1
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_get_error: 2
2016/10/29 00:37:32 [debug] 17183#17183: *307 free: 00000000021DDDF0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http wait request handler
2016/10/29 00:37:32 [debug] 17183#17183: *307 malloc: 00000000021DDDF0:8192
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_read: 96
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_read: -1
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_get_error: 2
2016/10/29 00:37:32 [debug] 17183#17183: *307 reusable connection: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 posix_memalign: 00000000021D38E0:4096 @16
2016/10/29 00:37:32 [debug] 17183#17183: *307 http process request line
2016/10/29 00:37:32 [debug] 17183#17183: *307 http request line: "GET /crossdomain.xml HTTP/1.1"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http uri: "/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http args: ""
2016/10/29 00:37:32 [debug] 17183#17183: *307 http exten: "xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 posix_memalign: 000000000216AF00:4096 @16
2016/10/29 00:37:32 [debug] 17183#17183: *307 http process request header line
2016/10/29 00:37:32 [debug] 17183#17183: *307 http header: "User-Agent: curl/7.35.0"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http header: "Accept: */*"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http header: "Host: www.mydomain.org"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http header done
2016/10/29 00:37:32 [debug] 17183#17183: *307 event timer del: 9: 1477701512422
2016/10/29 00:37:32 [debug] 17183#17183: *307 generic phase: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 rewrite phase: 1
2016/10/29 00:37:32 [debug] 17183#17183: *307 test location: "/"
2016/10/29 00:37:32 [debug] 17183#17183: *307 test location: ~ "/\.ht"
2016/10/29 00:37:32 [debug] 17183#17183: *307 test location: ~ "/\.git"
2016/10/29 00:37:32 [debug] 17183#17183: *307 test location: ~ "\.(ogg|ogv|svg|svgz|eot|otf|woff|woff2|mp4|ttf|css|rss|atom|js|jpg|jpeg|gif|png|ico|zip|tgz|gz|rar|bz2|doc|xls|exe|ppt|tar|mid|midi|wav|bmp|rtf)$"
2016/10/29 00:37:32 [debug] 17183#17183: *307 test location: ~ "^/robots.txt"
2016/10/29 00:37:32 [debug] 17183#17183: *307 test location: ~ "^(?:.+\.(?:htaccess|make|txt|engine|inc|info|install|module|profile|po|pot|sh|.*sql|test|theme|tpl(?:\.php)?|xtmpl)|code-style\.pl|/Entries.*|/Repository|/Root|/Tag|/Template)$|((README|TODO)$)"
2016/10/29 00:37:32 [debug] 17183#17183: *307 test location: ~ "\.php$"
2016/10/29 00:37:32 [debug] 17183#17183: *307 using configuration "/"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http cl:-1 max:263192576
2016/10/29 00:37:32 [debug] 17183#17183: *307 rewrite phase: 3
2016/10/29 00:37:32 [debug] 17183#17183: *307 post rewrite phase: 4
2016/10/29 00:37:32 [debug] 17183#17183: *307 generic phase: 5
2016/10/29 00:37:32 [debug] 17183#17183: *307 generic phase: 6
2016/10/29 00:37:32 [debug] 17183#17183: *307 generic phase: 7
2016/10/29 00:37:32 [debug] 17183#17183: *307 access phase: 8
2016/10/29 00:37:32 [debug] 17183#17183: *307 access phase: 9
2016/10/29 00:37:32 [debug] 17183#17183: *307 access phase: 10
2016/10/29 00:37:32 [debug] 17183#17183: *307 post access phase: 11
2016/10/29 00:37:32 [debug] 17183#17183: *307 try files phase: 12
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script var: "/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 trying to use file: "/crossdomain.xml" "/home/mydomain/web/mydomain.org/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script var: "/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 trying to use dir: "/crossdomain.xml" "/home/mydomain/web/mydomain.org/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "/index.php?q="
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script var: "/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script var: ""
2016/10/29 00:37:32 [debug] 17183#17183: *307 trying to use file: "/index.php?q=/crossdomain.xml" "/home/mydomain/web/mydomain.org/index.php?q=/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 internal redirect: "/index.php?q=/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 rewrite phase: 1
2016/10/29 00:37:32 [debug] 17183#17183: *307 test location: "/"
2016/10/29 00:37:32 [debug] 17183#17183: *307 test location: ~ "/\.ht"
2016/10/29 00:37:32 [debug] 17183#17183: *307 test location: ~ "/\.git"
2016/10/29 00:37:32 [debug] 17183#17183: *307 test location: ~ "\.(ogg|ogv|svg|svgz|eot|otf|woff|woff2|mp4|ttf|css|rss|atom|js|jpg|jpeg|gif|png|ico|zip|tgz|gz|rar|bz2|doc|xls|exe|ppt|tar|mid|midi|wav|bmp|rtf)$"
2016/10/29 00:37:32 [debug] 17183#17183: *307 test location: ~ "^/robots.txt"
2016/10/29 00:37:32 [debug] 17183#17183: *307 test location: ~ "^(?:.+\.(?:htaccess|make|txt|engine|inc|info|install|module|profile|po|pot|sh|.*sql|test|theme|tpl(?:\.php)?|xtmpl)|code-style\.pl|/Entries.*|/Repository|/Root|/Tag|/Template)$|((README|TODO)$)"
2016/10/29 00:37:32 [debug] 17183#17183: *307 test location: ~ "\.php$"
2016/10/29 00:37:32 [debug] 17183#17183: *307 using configuration "\.php$"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http cl:-1 max:263192576
2016/10/29 00:37:32 [debug] 17183#17183: *307 rewrite phase: 3
2016/10/29 00:37:32 [debug] 17183#17183: *307 post rewrite phase: 4
2016/10/29 00:37:32 [debug] 17183#17183: *307 generic phase: 5
2016/10/29 00:37:32 [debug] 17183#17183: *307 generic phase: 6
2016/10/29 00:37:32 [debug] 17183#17183: *307 generic phase: 7
2016/10/29 00:37:32 [debug] 17183#17183: *307 access phase: 8
2016/10/29 00:37:32 [debug] 17183#17183: *307 access phase: 9
2016/10/29 00:37:32 [debug] 17183#17183: *307 access phase: 10
2016/10/29 00:37:32 [debug] 17183#17183: *307 post access phase: 11
2016/10/29 00:37:32 [debug] 17183#17183: *307 try files phase: 12
2016/10/29 00:37:32 [debug] 17183#17183: *307 http init upstream, client timer: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 epoll add event: fd:9 op:3 ev:80002005
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "QUERY_STRING"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script var: "q=/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "QUERY_STRING: q=/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "REQUEST_METHOD"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script var: "GET"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "REQUEST_METHOD: GET"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "CONTENT_TYPE"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "CONTENT_TYPE: "
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "CONTENT_LENGTH"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "CONTENT_LENGTH: "
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "SCRIPT_FILENAME"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script var: "/home/mydomain/web/mydomain.org/index.php"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "SCRIPT_FILENAME: /home/mydomain/web/mydomain.org/index.php"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "SCRIPT_NAME"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script var: "/index.php"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "SCRIPT_NAME: /index.php"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "REQUEST_URI"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script var: "/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "REQUEST_URI: /crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "DOCUMENT_URI"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script var: "/index.php"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "DOCUMENT_URI: /index.php"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "DOCUMENT_ROOT"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script var: "/home/mydomain/web/mydomain.org"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "DOCUMENT_ROOT: /home/mydomain/web/mydomain.org"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "SERVER_PROTOCOL"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script var: "HTTP/1.1"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "SERVER_PROTOCOL: HTTP/1.1"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "GATEWAY_INTERFACE"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "CGI/1.1"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "GATEWAY_INTERFACE: CGI/1.1"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "SERVER_SOFTWARE"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "nginx/"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script var: "1.11.5"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "SERVER_SOFTWARE: nginx/1.11.5"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "REMOTE_ADDR"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script var: "127.0.0.1"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "REMOTE_ADDR: 127.0.0.1"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "REMOTE_PORT"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script var: "52087"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "REMOTE_PORT: 52087"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "SERVER_ADDR"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script var: "127.0.0.1"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "SERVER_ADDR: 127.0.0.1"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "SERVER_PORT"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script var: "443"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "SERVER_PORT: 443"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "SERVER_NAME"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script var: "www.mydomain.org"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "SERVER_NAME: www.mydomain.org"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "HTTPS"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script var: "on"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "HTTPS: on"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "REDIRECT_STATUS"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "200"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "REDIRECT_STATUS: 200"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "HTTPS"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http script copy: "on"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "HTTPS: on"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "HTTP_USER_AGENT: curl/7.35.0"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "HTTP_ACCEPT: */*"
2016/10/29 00:37:32 [debug] 17183#17183: *307 fastcgi param: "HTTP_HOST: www.mydomain.org"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http cleanup add: 000000000216B9D0
2016/10/29 00:37:32 [debug] 17183#17183: *307 get rr peer, try: 1
2016/10/29 00:37:32 [debug] 17183#17183: *307 stream socket 10
2016/10/29 00:37:32 [debug] 17183#17183: *307 epoll add connection: fd:10 ev:80002005
2016/10/29 00:37:32 [debug] 17183#17183: *307 connect to 127.0.0.1:11000, fd:10 #308
2016/10/29 00:37:32 [debug] 17183#17183: *307 http upstream connect: -2
2016/10/29 00:37:32 [debug] 17183#17183: *307 posix_memalign: 00000000021DC8A0:128 @16
2016/10/29 00:37:32 [debug] 17183#17183: *307 event timer add: 10: 60000:1477701512427
2016/10/29 00:37:32 [debug] 17183#17183: *307 http finalize request: -4, "/index.php?q=/crossdomain.xml" a:1, c:3
2016/10/29 00:37:32 [debug] 17183#17183: *307 http request count:3 blk:0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http finalize request: -4, "/index.php?q=/crossdomain.xml" a:1, c:2
2016/10/29 00:37:32 [debug] 17183#17183: *307 http request count:2 blk:0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http run request: "/index.php?q=/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http request empty handler
2016/10/29 00:37:32 [debug] 17183#17183: *307 http upstream request: "/index.php?q=/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http upstream send request handler
2016/10/29 00:37:32 [debug] 17183#17183: *307 http upstream send request
2016/10/29 00:37:32 [debug] 17183#17183: *307 http upstream send request body
2016/10/29 00:37:32 [debug] 17183#17183: *307 chain writer buf fl:0 s:608
2016/10/29 00:37:32 [debug] 17183#17183: *307 chain writer in: 00000000021D48D0
2016/10/29 00:37:32 [debug] 17183#17183: *307 writev: 608 of 608
2016/10/29 00:37:32 [debug] 17183#17183: *307 chain writer out: 0000000000000000
2016/10/29 00:37:32 [debug] 17183#17183: *307 event timer del: 10: 1477701512427
2016/10/29 00:37:32 [debug] 17183#17183: *307 event timer add: 10: 180000:1477701632428
2016/10/29 00:37:32 [debug] 17183#17183: *307 http upstream request: "/index.php?q=/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http upstream process header
2016/10/29 00:37:32 [debug] 17183#17183: *307 malloc: 000000000214EE00:32768
2016/10/29 00:37:32 [debug] 17183#17183: *307 recv: eof:0, avail:1
2016/10/29 00:37:32 [debug] 17183#17183: *307 recv: fd:10 29376 of 32768
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 01
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 06
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 00
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 01
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 01
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: CC
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 04
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 00
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record length: 460
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi parser: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi header: "Status: 404 Not Found"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi parser: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi header: "X-Drupal-Cache: HIT"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi parser: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi header: "Etag: "1477697936-0""
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi parser: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi header: "Content-Type: text/html; charset=utf-8"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi parser: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi header: "Content-Language: en"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi parser: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi header: "X-Frame-Options: SAMEORIGIN"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi parser: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi header: "X-Generator: Drupal 7 (http://drupal.org)"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi parser: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi header: "Link: <https://www.mydomain.org/>; rel="canonical",<https://www.mydomain.org/>; rel="shortlink""
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi parser: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi header: "Cache-Control: public, max-age=300"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi parser: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 posix_memalign: 00000000021E6490:4096 @16
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi header: "Last-Modified: Fri, 28 Oct 2016 23:38:56 GMT"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi parser: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi header: "Expires: Sun, 19 Nov 1978 05:00:00 GMT"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi parser: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi header: "Vary: Cookie"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi parser: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi header: "Vary: Accept-Encoding"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi parser: 1
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi header done
2016/10/29 00:37:32 [debug] 17183#17183: *307 HTTP/1.1 404 Not Found
Server: nginx
Date: Sat, 29 Oct 2016 00:37:32 GMT
Content-Type: text/html; charset=utf-8
Transfer-Encoding: chunked
Connection: keep-alive
Vary: Accept-Encoding
X-Drupal-Cache: HIT
Etag: "1477697936-0"
Content-Language: en
X-Frame-Options: SAMEORIGIN
X-Generator: Drupal 7 (http://drupal.org)
Link: <https://www.mydomain.org/>; rel="canonical",<https://www.mydomain.org/>; rel="shortlink"
Cache-Control: public, max-age=300
Last-Modified: Fri, 28 Oct 2016 23:38:56 GMT
Expires: Sun, 19 Nov 1978 05:00:00 GMT
Vary: Cookie
Vary: Accept-Encoding

2016/10/29 00:37:32 [debug] 17183#17183: *307 write new buf t:1 f:0 00000000021E65B0, pos 00000000021E65B0, size: 588 file: 0, size: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http write filter: l:0 f:0 s:588
2016/10/29 00:37:32 [debug] 17183#17183: *307 http cacheable: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http upstream process upstream
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe read upstream: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe preread: 28908
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe buf free s:0 t:1 f:0 000000000214EE00, pos 000000000214EFD4, size: 28908 file: 0, size: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe length: -1
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe write downstream: 1
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe write busy: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe write: out:0000000000000000, f:0
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe read upstream: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe buf free s:0 t:1 f:0 000000000214EE00, pos 000000000214EFD4, size: 28908 file: 0, size: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe length: -1
2016/10/29 00:37:32 [debug] 17183#17183: *307 event timer: 10, old: 1477701632428, new: 1477701632433
2016/10/29 00:37:32 [debug] 17183#17183: *307 http upstream request: "/index.php?q=/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http upstream dummy handler
2016/10/29 00:37:32 [debug] 17183#17183: *307 http upstream request: "/index.php?q=/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http upstream dummy handler
2016/10/29 00:37:32 [debug] 17183#17183: *307 http upstream request: "/index.php?q=/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http upstream process upstream
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe read upstream: 1
2016/10/29 00:37:32 [debug] 17183#17183: *307 readv: eof:0, avail:1
2016/10/29 00:37:32 [debug] 17183#17183: *307 readv: 1, last:3392
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe recv chain: 16
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe buf free s:0 t:1 f:0 000000000214EE00, pos 000000000214EFD4, size: 28924 file: 0, size: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe length: -1
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe write downstream: 1
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe write busy: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe write: out:0000000000000000, f:0
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe read upstream: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe buf free s:0 t:1 f:0 000000000214EE00, pos 000000000214EFD4, size: 28924 file: 0, size: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe length: -1
2016/10/29 00:37:32 [debug] 17183#17183: *307 event timer: 10, old: 1477701632428, new: 1477701632434
2016/10/29 00:37:32 [debug] 17183#17183: *307 http upstream request: "/index.php?q=/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http upstream dummy handler
2016/10/29 00:37:32 [debug] 17183#17183: *307 http upstream request: "/index.php?q=/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http upstream process upstream
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe read upstream: 1
2016/10/29 00:37:32 [debug] 17183#17183: *307 readv: eof:1, avail:1
2016/10/29 00:37:32 [debug] 17183#17183: *307 readv: 1, last:3376
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe recv chain: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe buf free s:0 t:1 f:0 000000000214EE00, pos 000000000214EFD4, size: 28924 file: 0, size: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe length: -1
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 01
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 06
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 00
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 01
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 70
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: E0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 00
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 00
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record length: 28896
2016/10/29 00:37:32 [debug] 17183#17183: *307 input buf #0 000000000214EFE0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 01
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 03
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 00
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 01
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 00
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 08
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 00
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record byte: 00
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi record length: 8
2016/10/29 00:37:32 [debug] 17183#17183: *307 http fastcgi sent end request
2016/10/29 00:37:32 [debug] 17183#17183: *307 input buf 000000000214EFE0 28896
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe write downstream: 1
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe write downstream flush in
2016/10/29 00:37:32 [debug] 17183#17183: *307 http output filter "/index.php?q=/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http copy filter: "/index.php?q=/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http postpone filter "/index.php?q=/crossdomain.xml" 00000000021E6920
2016/10/29 00:37:32 [debug] 17183#17183: *307 http chunk: 28896
2016/10/29 00:37:32 [debug] 17183#17183: *307 write old buf t:1 f:0 00000000021E65B0, pos 00000000021E65B0, size: 588 file: 0, size: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 write new buf t:1 f:0 00000000021E6A68, pos 00000000021E6A68, size: 6 file: 0, size: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 write new buf t:1 f:0 000000000214EE00, pos 000000000214EFE0, size: 28896 file: 0, size: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 write new buf t:0 f:0 0000000000000000, pos 00000000004B99DE, size: 2 file: 0, size: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http write filter: l:0 f:0 s:29492
2016/10/29 00:37:32 [debug] 17183#17183: *307 http write filter limit 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 posix_memalign: 00000000021916D0:512 @16
2016/10/29 00:37:32 [debug] 17183#17183: *307 malloc: 0000000002195D10:1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 588
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 6
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 806
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 1400
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 90
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 2
2016/10/29 00:37:32 [debug] 17183#17183: *307 http write filter 0000000000000000
2016/10/29 00:37:32 [debug] 17183#17183: *307 http copy filter: -2 "/index.php?q=/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 pipe write downstream done
2016/10/29 00:37:32 [debug] 17183#17183: *307 event timer: 10, old: 1477701632428, new: 1477701632434
2016/10/29 00:37:32 [debug] 17183#17183: *307 http upstream exit: 0000000000000000
2016/10/29 00:37:32 [debug] 17183#17183: *307 finalize http upstream request: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 finalize http fastcgi request
2016/10/29 00:37:32 [debug] 17183#17183: *307 free rr peer 1 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 close http upstream connection: 10
2016/10/29 00:37:32 [debug] 17183#17183: *307 free: 00000000021DC8A0, unused: 48
2016/10/29 00:37:32 [debug] 17183#17183: *307 event timer del: 10: 1477701632428
2016/10/29 00:37:32 [debug] 17183#17183: *307 reusable connection: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http upstream temp fd: -1
2016/10/29 00:37:32 [debug] 17183#17183: *307 http output filter "/index.php?q=/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http copy filter: "/index.php?q=/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http postpone filter "/index.php?q=/crossdomain.xml" 00007FFE08DFA3B0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http chunk: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 write new buf t:0 f:0 0000000000000000, pos 00000000004B99DB, size: 5 file: 0, size: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 http write filter: l:1 f:0 s:5
2016/10/29 00:37:32 [debug] 17183#17183: *307 http write filter limit 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL buf copy: 5
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL to write: 97
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_write: 97
2016/10/29 00:37:32 [debug] 17183#17183: *307 http write filter 0000000000000000
2016/10/29 00:37:32 [debug] 17183#17183: *307 http copy filter: 0 "/index.php?q=/crossdomain.xml"
2016/10/29 00:37:32 [debug] 17183#17183: *307 http finalize request: 0, "/index.php?q=/crossdomain.xml" a:1, c:1
2016/10/29 00:37:32 [debug] 17183#17183: *307 set http keepalive handler
2016/10/29 00:37:32 [debug] 17183#17183: *307 http close request
2016/10/29 00:37:32 [debug] 17183#17183: *307 http log handler
2016/10/29 00:37:32 [debug] 17183#17183: *307 free: 000000000214EE00
2016/10/29 00:37:32 [debug] 17183#17183: *307 free: 00000000021D38E0, unused: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 free: 000000000216AF00, unused: 8
2016/10/29 00:37:32 [debug] 17183#17183: *307 free: 00000000021E6490, unused: 2217
2016/10/29 00:37:32 [debug] 17183#17183: *307 free: 00000000021DDDF0
2016/10/29 00:37:32 [debug] 17183#17183: *307 hc free: 0000000000000000 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 hc busy: 0000000000000000 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 free: 0000000002195D10
2016/10/29 00:37:32 [debug] 17183#17183: *307 tcp_nodelay
2016/10/29 00:37:32 [debug] 17183#17183: *307 reusable connection: 1
2016/10/29 00:37:32 [debug] 17183#17183: *307 event timer add: 9: 30000:1477701482434
2016/10/29 00:37:32 [debug] 17183#17183: *307 http keepalive handler
2016/10/29 00:37:32 [debug] 17183#17183: *307 malloc: 00000000021DDDF0:8192
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_read: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_get_error: 6
2016/10/29 00:37:32 [debug] 17183#17183: *307 peer shutdown SSL cleanly
2016/10/29 00:37:32 [info] 17183#17183: *307 client 127.0.0.1 closed keepalive connection
2016/10/29 00:37:32 [debug] 17183#17183: *307 close http connection: 9
2016/10/29 00:37:32 [debug] 17183#17183: *307 SSL_shutdown: 1
2016/10/29 00:37:32 [debug] 17183#17183: *307 event timer del: 9: 1477701482434
2016/10/29 00:37:32 [debug] 17183#17183: *307 reusable connection: 0
2016/10/29 00:37:32 [debug] 17183#17183: *307 free: 00000000021DDDF0
2016/10/29 00:37:32 [debug] 17183#17183: *307 free: 0000000000000000
2016/10/29 00:37:32 [debug] 17183#17183: *307 free: 000000000218CA60, unused: 8
2016/10/29 00:37:32 [debug] 17183#17183: *307 free: 00000000021916D0, unused: 400

Change History (2)

comment:1 by mike503@…, 4 years ago

Filed against the wrong version, but the behavior has been the same for as long as I remember.

comment:2 by Maxim Dounin, 4 years ago

Resolution: invalid
Status: newclosed

Quoting docs:

Adds the specified field to a response header provided that the response code equals 200, 201, 204, 206, 301, 302, 303, 304, or 307.

In the case provided the response code is 404, and the add_header directive is not expected to add headers to such responses. If you want to add a header to all responses, consider using the always parameter:

If the always parameter is specified (1.7.5), the header field will be added regardless of the response code.

For further questions, please consider using the mailing list instead.

Note: See TracTickets for help on using tickets.